# Generated by Django 3.2.8 on 2022-07-25 17:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AgentDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('agent_name', models.CharField(max_length=30)),
                ('agent_id', models.CharField(max_length=30)),
                ('agent_password', models.CharField(default='bpl321', max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Agreement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=100)),
                ('created_time', models.DateTimeField(auto_now_add=True)),
                ('image', models.CharField(max_length=100000)),
            ],
        ),
        migrations.CreateModel(
            name='Booking',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('email', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=50)),
                ('pick_up', models.CharField(max_length=500)),
                ('drop_off', models.CharField(max_length=500)),
                ('pick_up_date', models.DateField()),
                ('book_time', models.DateTimeField(auto_now_add=True)),
                ('vehicle_run', models.BooleanField(default=None)),
                ('type_of_service', models.CharField(default='', max_length=100)),
                ('make', models.CharField(default=None, max_length=100, null=True)),
                ('model', models.CharField(default=None, max_length=100, null=True)),
                ('year', models.CharField(default=None, max_length=100, null=True)),
                ('assigned_to', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='CarrierAgreement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('month', models.CharField(max_length=50)),
                ('day', models.CharField(max_length=50)),
                ('carrier_name', models.CharField(max_length=100)),
                ('mc_number', models.CharField(max_length=100)),
                ('created_time', models.DateTimeField(auto_now_add=True)),
                ('image', models.CharField(max_length=100000)),
            ],
        ),
        migrations.CreateModel(
            name='ConfirmBook',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_id', models.CharField(max_length=100, null=True)),
                ('booking_fee', models.FloatField()),
                ('fee_status', models.BooleanField(default=False)),
                ('booking_date', models.DateTimeField(auto_now_add=True)),
                ('payment_response', models.CharField(default='', max_length=3000, null=True)),
                ('truck_name', models.CharField(default=None, max_length=100)),
                ('truck_no', models.CharField(default=None, max_length=100)),
                ('trucker_license', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('partial_payment_allowed', models.BooleanField(default=False)),
                ('remaning_fee', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('booking_id', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='book_detail', to='booking.booking')),
                ('partial_allowed_by', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='booking.agentdetail')),
            ],
        ),
        migrations.CreateModel(
            name='UserRole',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(blank=True, choices=[('S', 'Super_Admin'), ('A', 'Agent')], max_length=1)),
                ('user_id', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='samrock', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PartialPayment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('partial_fee', models.CharField(max_length=100)),
                ('payment_date', models.DateField(auto_now_add=True)),
                ('payment_response', models.CharField(default=None, max_length=200, null=True)),
                ('booking_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.confirmbook')),
            ],
        ),
        migrations.CreateModel(
            name='JTrackerConfirmBook',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('jTracker_id', models.CharField(max_length=150)),
                ('dispatch_fee', models.FloatField()),
                ('trucker_no', models.CharField(blank=True, max_length=200, null=True)),
                ('trucker_name', models.CharField(blank=True, max_length=200, null=True)),
                ('trucker_license', models.CharField(blank=True, max_length=100, null=True)),
                ('payment_method', models.CharField(blank=True, max_length=200, null=True)),
                ('payment_status', models.BooleanField(default=False)),
                ('booking_status', models.CharField(default='Booked', max_length=100)),
                ('dispatch_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dispatcher', to=settings.AUTH_USER_MODEL)),
                ('follow_up_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='follower', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ContactUs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.CharField(max_length=100)),
                ('phone_no', models.CharField(max_length=100)),
                ('message', models.CharField(max_length=100)),
                ('locked', models.BooleanField(default=False)),
                ('locked_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='booking.agentdetail')),
            ],
        ),
        migrations.CreateModel(
            name='Leads',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=200)),
                ('origin_address', models.CharField(blank=True, max_length=200, null=True)),
                ('origin_city', models.CharField(max_length=200)),
                ('origin_state', models.CharField(max_length=200)),
                ('origin_zip', models.CharField(max_length=100)),
                ('destination_address', models.CharField(blank=True, max_length=200, null=True)),
                ('destination_city', models.CharField(max_length=200)),
                ('destination_state', models.CharField(max_length=200)),
                ('destination_zip', models.CharField(max_length=100)),
                ('car_maker', models.CharField(max_length=100)),
                ('car_model', models.CharField(max_length=100)),
                ('model_year1', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('body_type', models.CharField(blank=True, max_length=100, null=True)),
                ('ship_date1', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('vehilce_run1', models.CharField(blank=True, default=None, max_length=20, null=True)),
                ('transport_type1', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('price', models.FloatField(blank=True, default=None, null=True)),
                ('is_paid', models.BooleanField(default=False)),
                ('called_agent_name', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('is_operable', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('received_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('received_by', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('internal_notes', models.CharField(blank=True, default=None, max_length=1000, null=True)),
                ('is_ok', models.BooleanField(default=False)),
                ('payment_id', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('payment_date', models.CharField(blank=True, default=None, max_length=300, null=True)),
                ('payment_response', models.CharField(blank=True, default=None, max_length=10000, null=True)),
                ('agent_price', models.FloatField(blank=True, default=None, null=True)),
                ('lead_status', models.CharField(blank=True, default=None, max_length=25, null=True)),
                ('third_party', models.BooleanField(default=False)),
                ('payment_channel', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('trucker_name', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('trucker_no', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('trucker_license', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('email_count', models.IntegerField(blank=True, default=0, null=True)),
                ('assigned_to', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('dispatched_by', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='distpatch', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('origin_zip', 'destination_zip', 'car_maker', 'car_model')},
            },
        ),
    ]
